package com.sunzee.model;

/**
 * 蹲位的当前状态
 */
public class HoleInformation {
    /**
     * 0:表示处于上厕所状态。
     * 1:表示没上厕所。
     * 2.表示什么状态都没有。
     */
    private int state;
    /**
     * 改变状态的时间是什么时候
     * 廁所中時間
     */
    private long timeDuration;
    /**
     *  改变状态的时间是什么时候
     * 出了廁所的時間
     */
    private long outTimeDuration;

    private String bodySensor ="2";

    public String getBodySensor() {
        return bodySensor;
    }

    public void setBodySensor(String bodySensor) {
        this.bodySensor = bodySensor;
    }

    public HoleInformation(int state, long timeDuration) {
        this.state = state;
        this.timeDuration = timeDuration;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public long getTimeDuration() {
        return timeDuration;
    }

    public void setTimeDuration(long timeDuration) {
        this.timeDuration = timeDuration;
    }

    public long getOutTimeDuration() {
        return outTimeDuration;
    }

    public void setOutTimeDuration(long outTimeDuration) {
        this.outTimeDuration = outTimeDuration;
    }

    @Override
    public String toString() {
        return "HoleInformation{" +
                "state=" + state +
                ", timeDuration=" + timeDuration +
                '}';
    }
}
